Bug 225750 - security/softether-devel: add unlock regional lockout option
Summary: security/softether-devel: add unlock regional lockout option
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Koichiro Iwao
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-08 08:29 UTC by Koichiro Iwao
Modified: 2018-07-26 07:41 UTC (History)
2 users (show)

See Also:
pi: maintainer-feedback-


Attachments
patch (2.12 KB, text/plain)
2018-02-08 08:29 UTC, Koichiro Iwao
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Koichiro Iwao freebsd_committer 2018-02-08 08:29:54 UTC
Created attachment 190418 [details]
patch

SoftEther open source version restricts use of these functions in Japan and China. This patch unlocks them.

- RADIUS / NT Domain user authentication function
- RSA certificate user authentication function
- Deep-inspect packet logging function
- Source IP address control list function
- syslog transfer function
Comment 1 Koichiro Iwao freebsd_committer 2018-07-25 00:48:06 UTC
pi@, may I commit this due to maintainer timeout? The same patch already has been commited to security/softether. To be consistent, the same patch should be applied to both ports.
Comment 2 Kurt Jaeger freebsd_committer 2018-07-25 18:56:07 UTC
Yes, approved.
Comment 3 commit-hook freebsd_committer 2018-07-26 01:04:39 UTC
A commit references this bug:

Author: meta
Date: Thu Jul 26 01:03:41 UTC 2018
New revision: 475341
URL: https://svnweb.freebsd.org/changeset/ports/475341

Log:
  security/softether-devel: add unlock regional lockout option

  As well as r462449, applying the same patch to -devel port.

  PR:		225750
  Submitted by:	myself
  Approved by:	maintainer timeout, pi (mentor)

Changes:
  head/security/softether-devel/Makefile
  head/security/softether-devel/files/extra-patch-unrestrict-enterprise-functions
Comment 4 Koichiro Iwao freebsd_committer 2018-07-26 01:15:06 UTC
BTW, off-topic, security/softether is now newer than security/softether-devel. 
hrs@ said he's considering merging these ports into one [1]. Isn't it the time to do that now?

[1] https://lists.freebsd.org/pipermail/freebsd-ports/2018-February/112671.html
Comment 5 Kurt Jaeger freebsd_committer 2018-07-26 01:19:36 UTC
I have not looked at the difference between the basic and devel port. But removal of the devel variant should be considered if the features can be merged.
Comment 6 Koichiro Iwao freebsd_committer 2018-07-26 01:48:09 UTC
Or keeping -devel port newer than basic port is another option.

At least IGNORE should be set until -devel port become newer than basic port again. People should expect -devel port is a newer develop snapshot than basic.
Comment 7 Koichiro Iwao freebsd_committer 2018-07-26 07:41:23 UTC
Created bug 230050 to update -devel port.